Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.xml
Class JpdlParser

    java.lang.Object
      org.jbpm.jpdl.xml.JpdlParser

All Implemented Interfaces:
  java.io.Serializable

    public class JpdlParser

extends java.lang.Object
implements java.io.Serializable

Validate an XML document using JAXP techniques and an XML Schema. This helper class wraps the processing of a schema to aid in schema validation throughout the product.

Author:
  Tom Baeyens, Jim Rigsbee
See Also:
  Serialized Form

Constructor Summary
`JpdlParser()`

Method Summary
`static org.dom4j.io.SAXReader` | `createSaxReader(ProblemListener problemListener)`
`static org.xml.sax.XMLReader` | `createXmlReader()`
`static org.dom4j.Document` | `parse(org.xml.sax.InputSource inputSource, ProblemListener problemListener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpdlParser

    public JpdlParser()

Method Detail

### parse

    public static org.dom4j.Document parse(org.xml.sax.InputSource inputSource,
                                           ProblemListener problemListener)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createSaxReader

    public static org.dom4j.io.SAXReader createSaxReader(ProblemListener problemListener)
                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createXmlReader

    public static org.xml.sax.XMLReader createXmlReader()
                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD